Project

General

Profile

Bug #14974

Multitude of bad signatures for EL5 Katello 2.4 Client packages

Added by Barry Gestwicki about 6 years ago. Updated almost 4 years ago.

Status:
Resolved
Priority:
High
Assignee:
-
Category:
Repositories
Target version:
Difficulty:
Triaged:
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

It seems that akin to Bug # 10608 (http://projects.theforeman.org/issues/10608), there are a myriad of packages in the RHEL5 Katello 2.4 Client Yum repository (https://fedorapeople.org/groups/katello/releases/yum/2.4/client/RHEL/5/x86_64/) that are improperly signed (V4 vs. V3), resulting in them to not get installed on the target system, and silently so, at that.

The issue was discovered as the result of installing subscription-manager and katello-agent via Puppet, but noticed that no Errata were being reported for any RHEL5 system in our environment. Looking in to the matter, we uncovered the error message “ImportError: No module named pulp.agent.lib.dispatcher” in /var/log/messages being generated from goferd, which in-turn led us to the fact that while “pulp-rpm-handlers” and “python-pulp-agent-lib” packages are required by the “katello-agent” package, they are silently not getting installed due the to the signature issue, among a few other dependencies.

However unfortunate, this issue is preventing us from installing and running a fully-functional Katello agent on all RHEL5 systems, which is about 80% of our infrastructure, so this issue is quite the impediment to our successful implementation of Katello. As such, if there is any way that the issue could be prioritized, particular as I imagine the fix is fairly easy, it would be greatly appreciated! Below is some example command output that shows what packages in the RHEL5 Katello Client Yum repository are affected by the issue. Thanks in advance for your assistance, and have a great day!

  1. Worklog ##
  1. rpm v --checksig *.rpm | egrep -B1 'signature: BAD'
    pulp-rpm-handlers-2.6.4-1.el5.noarch.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    Header SHA1 digest: OK (b30c3acffeeb110ca04d6b2fb1613331b0ce6a7e)
    V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    -
    python-isodate-0.5.0-4.pulp.el5.noarch.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
    Header SHA1 digest: OK (1e8edac9430f729000f402b492e7ee7276832cc5)
    V4 RSA/SHA1 signature: BAD, key ID d5a88496
    --
    python-pulp-agent-lib-2.6.4-1.el5.noarch.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    Header SHA1 digest: OK (25d60d565911a757aac53b6482b816ff7b108125)
    V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    --
    python-pulp-common-2.6.4-1.el5.noarch.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    Header SHA1 digest: OK (47cfff160f306f4399ca274a77c177e446dae104)
    V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    --
    python-pulp-rpm-common-2.6.4-1.el5.noarch.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    Header SHA1 digest: OK (803c0e8c0f8151ab9c1ee73785c113bcab4565a1)
    V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
    --
    python-qpid-0.18-10.el5.noarch.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
    Header SHA1 digest: OK (5a30f024feab7eec3af47a1af165c560c7b8288a)
    V4 RSA/SHA1 signature: BAD, key ID d5a88496
    --
    python-qpid-proton-0.9-2.el5.x86_64.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
    Header SHA1 digest: OK (30438a8ebf696a3cc6ff1d7f35ea9288052233f1)
    V4 RSA/SHA1 signature: BAD, key ID d5a88496
    --
    python-saslwrapper-0.10-8.el5.x86_64.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
    Header SHA1 digest: OK (5b55a95118fadc4c08d53808ff2fd3e5d8cc8987)
    V4 RSA/SHA1 signature: BAD, key ID d5a88496
    --
    qpid-proton-c-0.9-2.el5.x86_64.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
    Header SHA1 digest: OK (a99c11f3f7081fe26f29aa2062613d0bc891cfcb)
    V4 RSA/SHA1 signature: BAD, key ID d5a88496
    --
    saslwrapper-0.10-8.el5.x86_64.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
    Header SHA1 digest: OK (9d7eee58ec936da4235201b8b1a57f6d38aacaf7)
    V4 RSA/SHA1 signature: BAD, key ID d5a88496
    --
    subscription-manager-1.11.3-11.el5.x86_64.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
    Header SHA1 digest: OK (347ce92f655257467140bc842d122224f425aaa8)
    V4 RSA/SHA1 signature: BAD, key ID d5a88496
  1. rpm -qR katello-agent
    /bin/sh
    /bin/sh
    config(katello-agent) = 2.4.0-3.el5
    gofer >= 2.5
    pulp-rpm-handlers >= 2.6
    python-gofer-proton >= 2.5
    python-pulp-agent-lib >= 2.6
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    subscription-manager
  1. rpm -q katello-agent subscription-manager python-pulp-agent-lib python-gofer-proton pulp-rpm-handlers gofer
    katello-agent-2.4.0-3.el5
    subscription-manager-1.11.3-14.el5_11
    package python-pulp-agent-lib is not installed
    python-gofer-proton-2.6.2-1.el5
    package pulp-rpm-handlers is not installed
    gofer-2.6.2-1.el5
  1. yum reinstall katello-agent
    Loaded plugins: package_upload, product-id, security, subscription-manager
    Setting up Reinstall Process
    …trim…
    Resolving Dependencies
    --> Running transaction check
    ---> Package katello-agent.noarch 0:2.4.0-3.el5 set to be updated
    --> Processing Dependency: python-pulp-agent-lib >= 2.6 for package: katello-agent
    --> Processing Dependency: pulp-rpm-handlers >= 2.6 for package: katello-agent
    --> Running transaction check
    ---> Package pulp-rpm-handlers.noarch 0:2.6.4-1.el5 set to be updated
    --> Processing Dependency: python-pulp-rpm-common = 2.6.4 for package: pulp-rpm-handlers
    ---> Package python-pulp-agent-lib.noarch 0:2.6.4-1.el5 set to be updated
    --> Processing Dependency: python-pulp-common = 2.6.4 for package: python-pulp-agent-lib
    --> Running transaction check
    ---> Package python-pulp-common.noarch 0:2.6.4-1.el5 set to be updated
    --> Processing Dependency: python-isodate >= 0.5.0-1.pulp for package: python-pulp-common
    ---> Package python-pulp-rpm-common.noarch 0:2.6.4-1.el5 set to be updated
    --> Running transaction check
    ---> Package python-isodate.noarch 0:0.5.0-4.pulp.el5 set to be updated
    --> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================================================
Package Arch Version Repository Size ===================================================================================================================================================================================================================
Reinstalling:
katello-agent noarch 2.4.0-3.el5 rhel5-Katello-Client 25 k
Installing for dependencies:
pulp-rpm-handlers noarch 2.6.4-1.el5 rhel5-Katello-Client 72 k
python-isodate noarch 0.5.0-4.pulp.el5 rhel5-Katello-Client 59 k
python-pulp-agent-lib noarch 2.6.4-1.el5 rhel5-Katello-Client 92 k
python-pulp-common noarch 2.6.4-1.el5 rhel5-Katello-Client 125 k
python-pulp-rpm-common noarch 2.6.4-1.el5 rhel5-Katello-Client 64 k

Transaction Summary ===================================================================================================================================================================================================================
Install 5 Package(s)
Upgrade 0 Package(s)
Remove 0 Package(s)
Reinstall 1 Package(s)
Downgrade 0 Package(s)

Total download size: 438 k
Is this ok [y/N]: y
Downloading Packages:
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total 11 MB/s | 438 kB 00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
error: python-isodate-0.5.0-4.pulp.el5: Header V4 RSA/SHA1 signature: BAD, key ID d5a88496
error: python-pulp-common-2.6.4-1.el5: Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
error: python-pulp-agent-lib-2.6.4-1.el5: Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
error: python-pulp-rpm-common-2.6.4-1.el5: Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
error: pulp-rpm-handlers-2.6.4-1.el5: Header V4 RSA/SHA1 signature: BAD, key ID 2c7e5d9a
Installing : katello-agent 6/6
Stopping goferd[ OK ]
Starting goferd[ OK ]
Uploading Package Profile

Installed:
katello-agent.noarch 0:2.4.0-3.el5

Dependency Installed:
pulp-rpm-handlers.noarch 0:2.6.4-1.el5 python-isodate.noarch 0:0.5.0-4.pulp.el5 python-pulp-agent-lib.noarch 0:2.6.4-1.el5 python-pulp-common.noarch 0:2.6.4-1.el5 python-pulp-rpm-common.noarch 0:2.6.4-1.el5

Complete!

  1. rpm -q katello-agent subscription-manager python-pulp-agent-lib python-gofer-proton pulp-rpm-handlers gofer
    katello-agent-2.4.0-3.el5
    subscription-manager-1.11.3-14.el5_11
    package python-pulp-agent-lib is not installed
    python-gofer-proton-2.6.2-1.el5
    package pulp-rpm-handlers is not installed
    gofer-2.6.2-1.el5

Related issues

Related to Katello - Bug #24771: Bad Signatures for EL5 Katello 3.5 client packages Need more information

History

#1 Updated by Justin Sherrill almost 6 years ago

  • Legacy Backlogs Release (now unused) changed from 150 to 144

#2 Updated by Eric Helms almost 6 years ago

  • Legacy Backlogs Release (now unused) deleted (144)

#3 Updated by Justin Sherrill almost 6 years ago

  • Status changed from New to Resolved
  • Legacy Backlogs Release (now unused) set to 166

This should be resolved in Katello 3.0. Please reopen if you still have problems. Thanks!

#4 Updated by Simon Thomson over 3 years ago

  • Related to Bug #24771: Bad Signatures for EL5 Katello 3.5 client packages added

Also available in: Atom PDF